### Method

# Snapd Client download_async

since: 1.54

#### Declaration [src]

    void
    snapd_client_download_async (
      SnapdClient* client,
      const gchar* name,
      const gchar* channel,
      const gchar* revision,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously download a snap. See `snapd_client_download_sync()` for more information.

Available since: 1.54

This method completes asynchronously. Use `snapd_client_download_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`name`

  Type: `const gchar*`

  Name of snap to download.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`channel`

  Type: `const gchar*`

  Channel to download from.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`revision`

  Type: `const gchar*`

  Revision to download.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.